<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: suntime_panel_admin.php
| CVS Version: 1.1.0.6
| Author: Piterus
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("PSTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."suntime_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."suntime_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."suntime_panel/locale/Polish-utf8.php";
}
include INFUSIONS."suntime_panel/infusion_db.php";



//Nawigacja wtyczki	
if (!$_GET['page']){ 
redirect (FUSION_SELF.$aidlink."&amp;page=1");
}else{	
	if ($_GET['page'] != ''){
		if  ($_GET['page'] == 1){$page = 1;}
		elseif ($_GET['page'] == 2){$page = 2;}
		elseif ($_GET['page'] == 3){$page = 3;}
		elseif ($_GET['page'] == 4){$page = 4;}
		else {redirect (FUSION_SELF.$aidlink."&amp;page=1");}
	} else {redirect (FUSION_SELF.$aidlink."&amp;page=1");}
}


function STP_NAWI(){
global $locale, $aidlink, $page;
//pobranie danych strony


$nawi_width ='10%';
echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'><tr>\n
<td width='".$nawi_width."' class='".($page==1?"tbl2":"tbl1")."' align='center'>".($page==1?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=1'>".$locale['stp_900']."</a>".($page==1?"</strong>":"")."</td>\n
<td width='".$nawi_width."' class='".($page==2?"tbl2":"tbl1")."' align='center'>".($page==2?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=2'>".$locale['stp_901']."</a>".($page==2?"</strong>":"")."</td>\n
<td width='".$nawi_width."' class='".($page==3?"tbl2":"tbl1")."' align='center'>".($page==3?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=3'>".$locale['stp_902']."</a>".($page==3?"</strong>":"")."</td>\n
<td width='".$nawi_width."' class='".($page==4?"tbl2":"tbl1")."' align='center'>".($page==4?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=4'>".$locale['stp_903']."</a>".($page==4?"</strong>":"")."</td>\n
</tr></table>\n<br />\n";
}
//pobranie wersji
function wersja() {
global $locale;
	$ver_result = dbquery("SELECT inf_version FROM ".DB_SUNTIME_INFUSION." WHERE inf_title='Sun Time Panel'");
	$inf_ver = dbarray($ver_result);
	echo "<div style='text-align: right;' class='tbl2'>\n";
	echo "<a href='http://www.piterus.net/forum/viewthread.php?thread_id=1#post_1' target='_blank'>Sun Time Panel v.&nbsp;".$inf_ver['inf_version']."</a>\n";
	echo "</div>\n";
}



opentable($locale['stp_200']);
//echo $nawi;
STP_NAWI();
echo "<table width='100%' border='0'>\n
	<tr>\n<td width='180' valign='top'>".$locale['stp_950']."<br />\n<hr />";
include INFUSIONS."suntime_panel/suntime_panel.php";	
echo "</td>\n<td valign='top'>";

//Ustawienia lokalizacji
if ($page == 1){
	include INFUSIONS."suntime_panel/page1.php"; 
}

// ustawienia wygladu
else if ($page == 2){
	include INFUSIONS."suntime_panel/page2.php"; 
}

//ustawienia dodatkow
else if ($page == 3){
	include INFUSIONS."suntime_panel/page3.php";
}

//Ustawienia pogody
else if ($page == 4){
	include INFUSIONS."suntime_panel/page4.php";
}

else {
echo "<div align='center'>Error 404 - Page not found</div>";
}
echo"</td>\n</tr>\n
	</table>\n
";
wersja();

closetable();

require_once THEMES."templates/footer.php";
?>
