<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sutime_panel.php
| CVS Version: 1.0.0.1
| Author: Piterus
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."suntime_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."suntime_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."suntime_panel/locale/Polish-utf8.php";
}
include (INFUSIONS."suntime_panel/includes/engine.php");

add_to_head("<link rel='stylesheet' href='".INFUSIONS."suntime_panel/includes/styl.css' type='text/css' media='screen' />");

$setings = dbquery("SELECT * FROM ".DB_SUNTIME_SETINGS);
$rendering = dbarray($setings);

function render_data($on) {
global $locale;
if ($on == "on"){
echo "<div style='stp_slot'>".THEME_BULLET.$locale['stp_009']."<br />";
echo "<div style=\"font-weight:bold\" id='Clock'></div>
		<script type='text/javascript'>
		<!--
		var DayNam = new Array(
		'".$locale['stp_021']."','".$locale['stp_015']."','".$locale['stp_016']."','".$locale['stp_017']."','".$locale['stp_018']."','".$locale['stp_019']."','".$locale['stp_020']."');
		var MnthNam = new Array(
		'".$locale['stp_022']."','".$locale['stp_023']."','".$locale['stp_024']."','".$locale['stp_025']."','".$locale['stp_026']."','".$locale['stp_027']."','".$locale['stp_028']."','".$locale['stp_029']."','".$locale['stp_030']."','".$locale['stp_031']."','".$locale['stp_032']."','".$locale['stp_033']."');
		//-->
		</script>";
	echo "<script type='text/javascript' src='".INFUSIONS."suntime_panel/js/clock.js'></script></div><br />\n";
}
}

function render_imieniny($on) {
global $locale;
if ($on == "on"){
	echo "<div class='stp_slot'>".$locale['stp_040']."<br />\n<b>";
	include (INFUSIONS."suntime_panel/includes/imieniny.php");
	echo "</b>\n</div>\n";
}
}	

function render_obchody($on) {
global $locale;
if ($on == "on"){
	include (INFUSIONS."suntime_panel/includes/obchody.php");
	if ($obchody_wyswietl != "") {
		echo "<div class='stp_slot'>".$locale['stp_041']."<br />\n";	
		echo "<b>".$obchody_wyswietl."</b></div>\n";
	}
}
}	

function render_slonce($on, $grafika) {
global $locale, $date_r, $date_s;
if ($on == "on"){
	echo "<div class='stp_slot'>\n";
	if ($grafika == "on") 
	{
		echo "<img src='".INFUSIONS."suntime_panel/images/sunrise.png' alt='".$locale['stp_002']."' />";
	}
	else
	{
		echo THEME_BULLET.$locale['stp_002']." ";
	}

echo "<b>".$date_r."</b><br />\n";

if ($grafika == "on") 
	{
		echo "<img src='".INFUSIONS."suntime_panel/images/sunset.png' alt='".$locale['stp_003']."' />";
	}
	else
	{
		echo THEME_BULLET.$locale['stp_003']." ";
	}
echo "<b>".$date_s."</b></div>\n";
}
}

function render_dlugosc_dnia($on){
global $locale, $SunTimeH, $SunTimeM;
if ($on == "on"){
	echo "<div class='stp_slot'>".THEME_BULLET.$locale['stp_006']."<br />\n<b>".$SunTimeH."</b>".$locale['stp_007']."<b>".$SunTimeM."</b>".$locale['stp_008']."</div>\n";
}
}

function render_stan_dnia($on) {
global $locale, $stss, $stll;

if ($on == "on"){
echo "<div class='stp_slot'>";
	if ((date("n") >6 AND date("j") > 21) && (date("j") < 22 && date("n") < 12 ))
	{
	  echo $locale['stp_010'].$stss;
	}
	elseif ((date("n")==6) AND (date("j")==21))
	{
	  echo $locale['stp_012'];	
	}
	elseif ((date("n")==12) AND (date("j")==22))
	{
	  echo $locale['stp_013'];	
	}
	else
	{
		echo $locale['stp_011'].$stll;
	}	
echo "</div>\n";
}	

}

function render_lokalizacja($on){
global $lolalization, $locale;
if ($on == "on"){
	echo "<div class='stp_slot'>\n".$locale['stp_004a']."<br />
	".$lolalization['miejscowosc']."<br />
	".$locale['stp_004'].$lolalization['szerokosc_stopnie']."&deg;".$lolalization['szerokosc_minuty']."&nbsp;".$lolalization['szerokosc_kier']."
	<br />\n
	".$locale['stp_005'].$lolalization['dlugosc_stopnie']."&deg;".$lolalization['dlugosc_minuty']."&nbsp;".$lolalization['dlugosc_kier']."
	</div>\n";
}
}

function render_pogoda($on){
	global $rendering, $locale;
if ($on == "on"){		
	echo "<div class='stp_slot'>";
		if ($rendering['licencja'] =="1"){
			//echo"<div style='width: 120px; height: 60px; background-image: url( http://vortex.accuweather.com/adcbin/netweather_v2/backgrounds/blue_120x60_bg.jpg ); background-repeat: no-repeat; background-color: #346797;' ><div id='NetweatherContainer' style='height: 48px;' ><script src='http://netweather.accuweather.com/adcbin/netweather_v2/netweatherV2ex.asp?partner=netweather&tStyle=whteYell&logo=0&zipcode=".$rendering['kod']."&lang=uke&size=7&theme=blue&metric=1&target=_self'></script></div><div style='text-align: center; font-family: arial, helvetica, verdana, sans-serif; font-size: 10px; line-height: 12px; color: #FFFFFF;' ><a style='color: #FFFFFF' href='http://www.accuweather.com/world-index-forecast.asp?partner=netweather&locCode=".$rendering['kod']."&metric=1' >Weather Forecast</a></div></div>";
			include (INFUSIONS."suntime_panel/pogoda/".$rendering['w_template']);
			
		}else{
			if (iADMIN){
			echo $locale['stp_014'];}
		}
	echo "</div>";
}
}

function slot_display($slot){
global $rendering;
$ren_date=$rendering['ren_date'];
$ren_imieniny=$rendering['ren_imieniny'];
$ren_obchody=$rendering['ren_obchody'];
$ren_slonce=$rendering['ren_slonce'];
$ren_grafika=$rendering['ren_grafika'];
$ren_dlugosc_dnia=$rendering['ren_dlugosc_dnia'];
$ren_stan=$rendering['ren_stan'];
$ren_wspolrzedne=$rendering['ren_wspolrzedne'];
$ren_pogoda=$rendering['ren_pogoda'];

if ($rendering['ren_slot_'.$slot] == 'data'){render_data($ren_date);}
elseif ($rendering['ren_slot_'.$slot] == 'imieniny'){render_imieniny($ren_imieniny);}
elseif ($rendering['ren_slot_'.$slot] == 'obchody'){render_obchody($ren_obchody);}
elseif ($rendering['ren_slot_'.$slot] == 'slonce'){render_slonce($ren_slonce , $ren_grafika );}
elseif ($rendering['ren_slot_'.$slot] == 'dlugosc'){render_dlugosc_dnia($ren_dlugosc_dnia );}
elseif ($rendering['ren_slot_'.$slot] == 'stan'){render_stan_dnia($ren_stan );}
elseif ($rendering['ren_slot_'.$slot] == 'miejsce'){render_lokalizacja($ren_wspolrzedne );}
elseif ($rendering['ren_slot_'.$slot] == 'pogoda'){render_pogoda($ren_pogoda );}
}

openside($locale['stp_001']);

//slot1
slot_display("1");
//slot2
slot_display("2");
//slot3
slot_display("3");
//slot4
slot_display("4");
//slot5
slot_display("5");
//slot6
slot_display("6");
//slot7
slot_display("7");
//slot8
slot_display("8");

//echo"<div style='width: 120px; height: 60px; background-image: url( http://vortex.accuweather.com/adcbin/netweather_v2/backgrounds/blue_120x60_bg.jpg ); background-repeat: no-repeat; background-color: #346797;' ><div id='NetweatherContainer' style='height: 48px;' ><script src='http://netweather.accuweather.com/adcbin/netweather_v2/netweatherV2ex.asp?partner=netweather&tStyle=whteYell&logo=0&zipcode=EUR|PL|PL004|PULAWY|&lang=uke&size=7&theme=blue&metric=1&target=_self'></script></div><div style='text-align: center; font-family: arial, helvetica, verdana, sans-serif; font-size: 10px; line-height: 12px; color: #FFFFFF;' ><a style='color: #FFFFFF' href='http://www.accuweather.com/world-index-forecast.asp?partner=netweather&locCode=EUR|PL|PL004|PULAWY|&metric=1' >Weather Forecast</a></div></div>";
closeside();


?>
